summaryrefslogtreecommitdiffstats
path: root/trunk/testsuite/tls3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/testsuite/tls3.sh')
-rwxr-xr-xtrunk/testsuite/tls3.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/trunk/testsuite/tls3.sh b/trunk/testsuite/tls3.sh
index 00dde00..6bb1f95 100755
--- a/trunk/testsuite/tls3.sh
+++ b/trunk/testsuite/tls3.sh
@@ -2,9 +2,9 @@
. `dirname $0`/functions.sh
# First check if __thread is supported by ld.so/gcc/ld/as:
rm -f tlstest
-echo '__thread int a; int main (void) { return a; }' \
- | $CC -xc - -o tlstest > /dev/null 2>&1 || exit 77
-( ./tlstest || { rm -f tlstest; exit 77; } ) 2>/dev/null || exit 77
+#echo '__thread int a; int main (void) { return a; }' \
+# | $CC -xc - -o tlstest > /dev/null 2>&1 || exit 77
+#( ./tlstest || { rm -f tlstest; exit 77; } ) 2>/dev/null || exit 77
SHFLAGS=
case "`uname -m`" in
ia64|ppc*|x86_64|alpha*|s390*|mips*|arm*) SHFLAGS=-fpic;; # Does not support non-pic shared libs
@@ -28,7 +28,9 @@ savelibs
echo $PRELINK ${PRELINK_OPTS--vm} ./tls3 > tls3.log
$PRELINK ${PRELINK_OPTS--vm} ./tls3 >> tls3.log 2>&1 || exit 1
grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` tls3.log && exit 2
-LD_LIBRARY_PATH=. ./tls3 || exit 3
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./tls3 || exit 3
+fi
readelf -a ./tls3 >> tls3.log 2>&1 || exit 4
# So that it is not prelinked again
chmod -x ./tls3